A LinkedIn Live series with IT leaders. Save a seat for episode 2 with Derek Rose, Group Head of IT & Deputy CIO, V.Group. Register Now

Start a new topic
Solved

I’m not able to install the SDK with the command you’d shared in the documentation earlier. What do I do?

As of Monday, July 11th, we have updated the Freshdesk SDK to version 1.0.0. If you got an install command via the beta documentation earlier, it is no longer valid.


To install v.1.0.0 of the Freshdesk SDK, fire up your terminal and punch the following command in:

 

npm install http://dl.freshdev.io/sdk/frsh-sdk-1.0.0.tgz -g

 

If you’re still facing any problems with installing the SDK,  let us know below!


Update: I installed Node 6.10.3


λ fdk version

{ Error: connect ECONNREFUSED 52.216.86.90:80

    at Object.exports._errnoException (util.js:1018:11)

    at exports._exceptionWithHostPort (util.js:1041:20)

    at TCPConnectWrap.afterConnect [as oncomplete] (net.js:1086:14)

  code: 'ECONNREFUSED',

  errno: 'ECONNREFUSED',

  syscall: 'connect',

  address: '52.216.86.90',

  port: 80 }

I'm having errors installing the SDK.  I have python2 installed.  Attached are the console errors.

txt

Hi, I am Mac user. I was trying to install freshdesk sdk , but having problem in installation, it fails at the end with error Javascript heap out of memory.

If you are unable to install due to a permissions issue, please type in 'sudo' before the command and enter your password when prompted to do so.

Login or Signup to post a comment